// =====================================================================
//  $Id: TReadoutIdentification.cc,v 1.1.1.1 2003/06/27 02:56:42 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#include "TReadoutIdentification.hh"

TReadoutIdentification::TReadoutIdentification( const Tstring& id )
  : theID( id )
{;}

TReadoutIdentification::TReadoutIdentification( const TReadoutIdentification& right )
  : theID( right.theID )  
{;}

TReadoutIdentification::~TReadoutIdentification()
{;}

const TReadoutIdentification& TReadoutIdentification::operator=( const TReadoutIdentification& right )
{
  theID = right.theID;
  return( *this );
}

Tbool TReadoutIdentification::operator==( const TReadoutIdentification& right ) const
{
  if ( theID == right.theID ) {
    return( Ttrue );
  } else {
    return( Tfalse );
  }
}

Tbool TReadoutIdentification::operator!=( const TReadoutIdentification& right ) const
{
  if ( theID != right.theID ) {
    return( Ttrue );
  } else {
    return( Tfalse );
  }
}
